CREATE TABLE `SPORTS_MLB_TEAMS_GAME_BATTING` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `pa` TINYINT(2) UNSIGNED DEFAULT 0,
  `ab` TINYINT(2) UNSIGNED DEFAULT 0,
  `h` TINYINT(2) UNSIGNED DEFAULT 0,
  `1b` TINYINT(2) UNSIGNED DEFAULT 0,
  `2b` TINYINT(2) UNSIGNED DEFAULT 0,
  `3b` TINYINT(1) UNSIGNED DEFAULT 0,
  `hr` TINYINT(2) UNSIGNED DEFAULT 0,
  `xbh` TINYINT(2) UNSIGNED DEFAULT 0,
  `tb` TINYINT(2) UNSIGNED DEFAULT 0,
  `bb` TINYINT(2) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(1) UNSIGNED DEFAULT 0,
  `hbp` TINYINT(1) UNSIGNED DEFAULT 0,
  `k` TINYINT(2) UNSIGNED DEFAULT 0,
  `r` TINYINT(2) UNSIGNED DEFAULT 0,
  `rbi` TINYINT(2) UNSIGNED DEFAULT 0,
  `sb` TINYINT(2) UNSIGNED DEFAULT 0,
  `cs` TINYINT(2) UNSIGNED DEFAULT 0,
  `po` TINYINT(1) UNSIGNED DEFAULT 0,
  `sac_fly` TINYINT(1) UNSIGNED DEFAULT 0,
  `sac_hit` TINYINT(1) UNSIGNED DEFAULT 0,
  `go` TINYINT(2) UNSIGNED DEFAULT 0,
  `fo` TINYINT(2) UNSIGNED DEFAULT 0,
  `gidp` TINYINT(1) UNSIGNED DEFAULT 0,
  `lob` TINYINT(2) UNSIGNED DEFAULT 0,
  `avg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`game_type`,`game_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_TEAMS_GAME_PITCHING` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `ip` DECIMAL(3,1) UNSIGNED DEFAULT 0.0,
  `out` TINYINT(2) UNSIGNED DEFAULT 0,
  `bf` TINYINT(2) UNSIGNED DEFAULT 0,
  `pt` SMALLINT(5) UNSIGNED DEFAULT 0,
  `b` TINYINT(3) UNSIGNED DEFAULT 0,
  `s` TINYINT(3) UNSIGNED DEFAULT 0,
  `k` TINYINT(2) UNSIGNED DEFAULT 0,
  `h` TINYINT(2) UNSIGNED DEFAULT 0,
  `hr` TINYINT(2) UNSIGNED DEFAULT 0,
  `bb` TINYINT(2) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `whip` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `r` TINYINT(2) UNSIGNED DEFAULT 0,
  `ra` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `er` TINYINT(2) UNSIGNED DEFAULT 0,
  `era` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `ur` TINYINT(2) UNSIGNED DEFAULT 0,
  `ura` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `ir` TINYINT(2) UNSIGNED DEFAULT 0,
  `ira` TINYINT(1) UNSIGNED DEFAULT 0,
  `wp` TINYINT(2) UNSIGNED DEFAULT 0,
  `bk` TINYINT(1) UNSIGNED DEFAULT 0,
  `sb` TINYINT(1) UNSIGNED DEFAULT 0,
  `cs` TINYINT(1) UNSIGNED DEFAULT 0,
  `po` TINYINT(1) UNSIGNED DEFAULT 0,
  `go` TINYINT(2) UNSIGNED DEFAULT 0,
  `fo` TINYINT(2) UNSIGNED DEFAULT 0,
  `go_fo` DECIMAL(6,4) DEFAULT NULL,
  `cg` TINYINT(1) UNSIGNED DEFAULT 0,
  `sho` TINYINT(1) UNSIGNED DEFAULT 0,
  `qs` TINYINT(1) UNSIGNED DEFAULT 0,
  `w` TINYINT(1) UNSIGNED DEFAULT 0,
  `l` TINYINT(1) UNSIGNED DEFAULT 0,
  `sv` TINYINT(1) UNSIGNED DEFAULT 0,
  `hld` TINYINT(1) UNSIGNED DEFAULT 0,
  `bs` TINYINT(1) UNSIGNED DEFAULT 0,
  `svo` TINYINT(1) UNSIGNED DEFAULT 0,
  `game_score` TINYINT(3) DEFAULT NULL,
  PRIMARY KEY (`season`,`game_type`,`game_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_TEAMS_GAME_FIELDING` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `tc` TINYINT(2) UNSIGNED DEFAULT 0,
  `po` TINYINT(2) UNSIGNED DEFAULT 0,
  `a` TINYINT(2) UNSIGNED DEFAULT 0,
  `e` TINYINT(1) UNSIGNED DEFAULT 0,
  `pct` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `dp` TINYINT(1) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`game_type`,`game_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
